#!/usr/bin/php
<?php
/*************************************************************** 
*  Copyright notice 
* 
*  (c) 2010 BVB Media ltd - Bas van Beek <bvbmedia@gmail.com> 
*  All rights reserved 
* 
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by 
*  the Free Software Foundation; either version 2 of the License, or 
*  (at your option) any later version. 
* 
*  The GNU General Public License can be found at 
*  http://www.gnu.org/copyleft/gpl.html. 
* 
*  This script is distributed in the hope that it will be useful, 
*  but WITHOUT ANY WARRANTY; without even the implied warranty of 
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*  GNU General Public License for more details. 
* 
*  This copyright notice MUST APPEAR in all copies of the script! 
***************************************************************/
require ('clirun.php');
require_once(PATH_t3lib.'class.t3lib_extmgm.php');
require_once(PATH_t3lib.'class.t3lib_befunc.php');
include_once(t3lib_extMgm::extPath('multishop').'pi1/classes/class.mslib_fe.php');
include_once(t3lib_extMgm::extPath('multishop').'pi1/classes/class.mslib_befe.php');
$GLOBALS['TYPO3_DB']=$TYPO3_DB;
$commands_array=array();
if (count($argv) >1)
{
	foreach ( $argv as $key => $value )
	{
		if ($value=='--help')
		{
			$show_example=1;
		}			
		if (preg_match("/^--/",$value))
		{
			preg_match("/^--(.*?)\=(.*?)$/",$value,$results);			
			$commands_array[$results[1]]=$results[2]; 
		}
	}
}
if ($show_example)
{
	$string="Example:\n";
	$string.="/var/www/vhosts/multishop1.nl/httpdocs/typo3conf/ext/multishop/cli/run_flat.php --page_uid=206\n";			
	fwrite(STDOUT,$string);  
	exit(0);	
}
$needed_vars=array();
$needed_vars[]='page_uid';
$halt=0;
foreach ($needed_vars as $needed_var)
{
	if (!array_key_exists($needed_var,$commands_array))
	{
		fwrite(STDOUT,$needed_var." is not specified\n"); 
		$halt=1;
	}
}
if ($halt)
{
	fwrite(STDOUT,"Script aborted.\n"); 
	exit(0);
}
fwrite(STDOUT, "Typo3 Multishop Flat Table Generator Importer\n\n");
set_time_limit(86400); 
ignore_user_abort(true);
$GLOBALS["multishop_page_uid"]=$commands_array['page_uid'];
mslib_befe::rebuildFlatDatabase();
echo $content;
die();
?>